# Update a banner. PUT https://app.unleash-instance.example.com/api/admin/banners/{id} Content-Type: application/json **Enterprise feature** Updates an existing banner identified by its id. Reference: https://docs.getunleash.io/api/update-banner ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Update a banner. version: endpoint_banners.updateBanner paths: /api/admin/banners/{id}: put: operationId: update-banner summary: Update a banner. description: |- **Enterprise feature** Updates an existing banner identified by its id. tags: - - subpackage_banners parameters: - name: id in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: bannerSchema content: application/json: schema: $ref: '#/components/schemas/bannerSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: createBannerSchema content: application/json: schema: $ref: '#/components/schemas/createBannerSchema' components: schemas: createBannerSchema: type: object properties: message: type: string description: The message to display to all users. Supports markdown. enabled: type: boolean description: >- Whether the banner should be displayed currently. If not specified, defaults to true. variant: type: string description: >- The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info". sticky: type: boolean description: >- Whether the banner should be sticky on the screen. If not specified, defaults to `false`. icon: type: - string - 'null' description: >- The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If "none", no icon will be displayed. link: type: - string - 'null' description: >- The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: "https://example.com" or relative: "/admin/service-accounts"). If "dialog", will display a dialog when clicked. If not specified, no link will be displayed. linkText: type: - string - 'null' description: >- The text to display on the link. If not specified, will be displayed as "More info". dialogTitle: type: - string - 'null' description: >- The title to display on the dialog. If not specified, this will be the same as `linkText`. dialog: type: - string - 'null' description: >- The markdown to display on the dialog. If not specified, no dialog will be displayed. required: - message bannerSchema: type: object properties: id: type: integer description: >- The banner's ID. Banner IDs are incrementing integers. In other words, a more recently created banner will always have a higher ID than an older one. message: type: string description: The message to display to all users. Supports markdown. enabled: type: boolean description: >- Whether the banner should be displayed currently. If not specified, defaults to true. variant: type: string description: >- The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info". sticky: type: boolean description: >- Whether the banner should be sticky on the screen. If not specified, defaults to `false`. icon: type: - string - 'null' description: >- The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If "none", no icon will be displayed. link: type: - string - 'null' description: >- The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: "https://example.com" or relative: "/admin/service-accounts"). If "dialog", will display a dialog when clicked. If not specified, no link will be displayed. linkText: type: - string - 'null' description: >- The text to display on the link. If not specified, will be displayed as "More info". dialogTitle: type: - string - 'null' description: >- The title to display on the dialog. If not specified, this will be the same as `linkText`. dialog: type: - string - 'null' description: >- The markdown to display on the dialog. If not specified, no dialog will be displayed. createdAt: type: string format: date-time description: The date and time of when the banner was created. required: - id - message - createdAt ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/banners/id" payload = { "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*." } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/banners/id'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"message":"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*."}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/banners/id" payload := strings.NewReader("{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/banners/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/banners/id") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/banners/id', [ 'body' => '{ "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*." }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/banners/id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"message\": \"**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*."] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/banners/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```